#
# spec file for package php8-imap
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_name    imap
#
Name:           php8-%{pkg_name}
Version:        1.0.3
Release:        lp156.2.1
Summary:        An extension to operate with the IMAP protocol
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Url:            http://pecl.php.net/
Source:         https://pecl.php.net/get/%{pkg_name}-%{version}.tgz
BuildRequires:  php8-devel
BuildRequires:  imap-devel
BuildRequires:  pkgconfig(openssl) >= 1.1.1
Provides:       php-imap = %{version}
Provides:       php-imap(vhng) = %{php_vhng_branch}
Obsoletes:      php-imap < %{version}
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{?php_zend_api}0
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
%else
%requires_eq    php8
%endif

%description
An extension to operate with the IMAP protocol, as well as the
NNTP, POP3, and local mailbox access methods.

%prep
%setup -q -n %{pkg_name}-%{version}
mkdir %{name}

%build
%{_bindir}/phpize
pushd %{name}
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
export CFLAGS
export CXXFLAGS
../configure --with-libdir=%{_lib} --with-imap-ssl
make %{?_smp_mflags}
popd

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags} -C %{name} INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/php8/conf.d
echo "; comment out next line to disable %{pkg_name} extension in php" > %{buildroot}%{_sysconfdir}/php8/conf.d/%{pkg_name}.ini
echo "extension = %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php8/conf.d/%{pkg_name}.ini

%check
pushd %{name}
make %{?_smp_mflags} test
popd

%files
%defattr(644,root,root,755)
%{_libdir}/php8/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php8/conf.d/%{pkg_name}.ini
%doc CREDITS

%changelog
* Mon May 19 2025 Angelo Grossini <angelo@intercom.it>
- initial release
